[sane-devel] error in linux/videodev.h

Henning Meier-Geinitz henning@meier-geinitz.de
Mon, 9 Jun 2003 11:03:50 +0200


On Sun, Jun 08, 2003 at 10:17:41AM +0200, Thomas Soumarmon wrote:
> > Where did you get videodev2.h from? Is it from your version of libc
> > (which one)? Or is /usr/include/linux a link to
> > /usr/src/linux/include/linux and you have installed a 2.5 kernel?
> Looking with the rpmdrake tool (Mdk 9.1 installed) it says that videodev2.h
> belongs to :
> glibc-devel-2.3.1-10mdk or kernel-source-2.4.21-0.13mdk

Kernel version 2.4.21 is not released yet and the pre versions don't
have that file. Anyway, kernel headers shouldn't be used from
userspace. So it's probably from glibc. I'm just wondering why it's
not on my system, I'm using the same version of glibc.

> I am wondering if this is exact or if it belongs to another package I would 
> have tried on the machine (they have been numerous).

Shouldn't rpm know which package installed a specific file?